Support » Plugin: Simple PopUp » Breaks Admin JavaScript in WP 3.6

  • Resolved dylandevelopment

    (@dylandevelopment)


    With WP 3.6, the paid version of this plugin causes a JavaScript conflict that prevents the admin panel from working properly. Without viewing the code in detail, I’m guessing that there is a problem with jQuery conflicts, and that scripts are being enqueued for the admin panel that may not be required.

    • Can’t drop down “Screen Options” menu in editor
    • Can’t view meta boxes loaded after WP Simple Pop Up

    http://wordpress.org/plugins/simple-popup/

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Muneeb

    (@muneeb)

    Hi,

    I just tested the plugin on WP 3.6 and I’m not having any of the issues you had posted. One of my plugin user had posted that he was having the metabox not being loaded issue but when he disable the WP better security the issue is gone. I’m working on resolving the incompatibilities with WP better security.

    Please post the paid version related question on the paid version forum link is below

    http://muneeb.me/support/forum/wordpress-simple-popup/

    Thanks
    Muneeb

    Hmm, that’s strange, as I’ve tried it on a fresh install of WP 3.6 with no other plugins installed and it broke the Admin Panel. And in the production site, there is no WP Better Security plugin or whatever you mentioned installed.

    It’s clear there’s a problem with the plugin; could you maybe at least have a look at how you’re enqueuing your JS?

    Plugin Author Muneeb

    (@muneeb)

    You are right frontend scripts required for the popup to work are being loaded on the admin side which is not right. I had updated the plugin please email me your order number using the contact form on my site to receive the updated plugin.

    Contact

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Breaks Admin JavaScript in WP 3.6’ is closed to new replies.